<script context="module">
    export async function load({fetch}) {
        const res = await fetch("/events.json");
        if (res.ok) {
            return {
                props: await res.json()
            };
        }
        return {
            status: res.status,
            error: new Error("Could not load"),
        };
    }
</script>

<script>
    export let events;
</script>
<h2 class="text-5xl mb-8">Administration</h2>

<label for="mode-new-event" class="btn btn-primary modal-button mb-4">neue Veranstaltung anlegen</label>
<input type="checkbox" id="mode-new-event" class="modal-toggle">
<div class="modal">
    <div class="modal-box">
        <h3 class="text-4xl">Veranstaltung anlegen</h3>
        <form>
            <div class="form-control">
                <label class="label">
                    <span class="label-text">Veranstaltungstitel</span>
                </label>
                <input type="text" placeholder="Titel" class="input input-bordered">
            </div>
            <div class="form-control">
                <label class="label">
                    <span class="label-text">Veranstaltungsbeschreibung</span>
                </label>
                <textarea class="textarea textarea-bordered h-24" placeholder="Info"></textarea>
            </div>
            <div class="form-control">
                <label class="cursor-pointer label">
                    <span class="label-text">Öffentlich</span>
                    <input type="checkbox" checked="checked" class="toggle">
                </label>
            </div>
            <div class="form-control">
                <div class="label-text">
                    Veranstaltungstyp
                    <div class="dropdown dropdown-end">
                        <div tabindex="0" class="btn btn-circle btn-ghost btn-xs text-info">
                            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                                 class="inline w-5 h-5 stroke-current">
                                <title>Info</title>
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                      d="M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                            </svg>
                        </div>
                        <div tabindex="0" class="shadow card compact dropdown-content bg-base-100 rounded-box w-82">
                            <div class="card-body">
                                <h2 class="card-title">Was heißt das??</h2>
                                <p>Streams zeigen nur eine Person und haben einen Chat. Kapazität: 300 Personen</p>
                                <p>BBB-Räume sind Gruppenräume. Kapazität: 20 mit Kamera, 150 mit bis zu 2 Kameras</p>
                            </div>
                        </div>
                    </div>
                </div>
                <label class="cursor-pointer label">

                    <select class="select select-bordered w-full max-w-xs">
                        <option disabled="true" selected="true">Veranstaltungstyp</option>
                        <option>WebRTC-Stream</option>
                        <option>BBB-Raum</option>
                    </select>
                </label>
            </div>
            <button class="btn btn-primary" type="submit" formmethod="post">Hinzufügen</button>
        </form>
        <div class="modal-action">
            <label for="mode-new-event" class="btn">Schließen</label>
        </div>
    </div>
</div>

<div class="overflow-x-auto">
    <table class="table w-full">
        <thead>
        <tr>
            <th>ID</th>
            <th>Bild</th>
            <th>Titel</th>
            <th>Nutzer:in</th>
            <th>Aktionen</th>
        </tr>
        </thead>
        <tbody>
        {#each events as event}
            <tr>
                <th>{event.id}</th>
                <td>
                    <img class="object-scale-down w-15 h-10" src="../assets/asta_logo_rgb.png">
                </td>
                <td>{event.info.title}</td>
                <td>TODO</td>
                <td>
                    <a class="btn btn-ghost" href="/stream/{event.id}">
                        <svg style="width:24px;height:24px" viewBox="0 0 24 24">
                            <title>Link</title>
                            <path fill="currentColor"
                                  d="M3.9,12C3.9,10.29 5.29,8.9 7,8.9H11V7H7A5,5 0 0,0 2,12A5,5 0 0,0 7,17H11V15.1H7C5.29,15.1 3.9,13.71 3.9,12M8,13H16V11H8V13M17,7H13V8.9H17C18.71,8.9 20.1,10.29 20.1,12C20.1,13.71 18.71,15.1 17,15.1H13V17H17A5,5 0 0,0 22,12A5,5 0 0,0 17,7Z"/>
                        </svg>
                    </a>
                    <label for="delete-modal" class="btn btn-ghost modal-button">
                        <svg style="width:24px;height:24px" viewBox="0 0 24 24">
                            <title>Bearbeiten</title>
                            <path fill="currentColor"
                                  d="M14.06,9L15,9.94L5.92,19H5V18.08L14.06,9M17.66,3C17.41,3 17.15,3.1 16.96,3.29L15.13,5.12L18.88,8.87L20.71,7.04C21.1,6.65 21.1,6 20.71,5.63L18.37,3.29C18.17,3.09 17.92,3 17.66,3M14.06,6.19L3,17.25V21H6.75L17.81,9.94L14.06,6.19Z"/>
                        </svg>
                    </label>
                    <input type="checkbox" id="delete-modal" class="modal-toggle">
                    <div class="modal">
                        <div class="modal-box">
                            <h3 class="text-4xl">Veranstaltung bearbeiten</h3>
                            <form action="/events.json" method="post">
                                <div class="form-control">
                                    <label class="label">
                                        <span class="label-text">Veranstaltungstitel</span>
                                    </label>
                                    <input name="title" type="text" placeholder="Titel" class="input input-bordered"
                                           value={event.info.title}>
                                </div>
                                <div class="form-control">
                                    <label class="label">
                                        <span class="label-text">Veranstaltungsbeschreibung</span>
                                    </label>
                                    <textarea name="description" class="textarea textarea-bordered h-24"
                                              placeholder="Info"
                                              value={event.info.description}></textarea>
                                </div>
                                <div class="form-control">
                                    <label class="cursor-pointer label">
                                        <span class="label-text">Öffentlich</span>
                                        <input name="public" type="checkbox" checked={event.public} class="toggle">
                                    </label>
                                </div>
                                <div class="form-control">
                                    <div class="label-text">
                                        Veranstaltungstyp
                                        <div class="dropdown dropdown-end">
                                            <div tabindex="0" class="btn btn-circle btn-ghost btn-xs text-info">
                                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                                                     class="inline w-5 h-5 stroke-current">
                                                    <title>Info</title>
                                                    <path stroke-linecap="round" stroke-linejoin="round"
                                                          stroke-width="2"
                                                          d="M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                                                </svg>
                                            </div>
                                            <div tabindex="0"
                                                 class="shadow card compact dropdown-content bg-base-100 rounded-box w-82">
                                                <div class="card-body">
                                                    <h2 class="card-title">Was heißt das??</h2>
                                                    <p>Streams zeigen nur eine Person und haben einen Chat. Kapazität:
                                                        300 Personen</p>
                                                    <p>BBB-Räume sind Gruppenräume. Kapazität: 20 mit Kamera, 150 mit
                                                        bis zu 2 Kameras</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <label class="cursor-pointer label">
                                        <select name="type" class="select select-bordered w-full max-w-xs">
                                            <option disabled="true" selected="true">Veranstaltungstyp</option>
                                            <option value="webrtc" selected={event.type === "webrtc"}>WebRTC-Stream
                                            </option>
                                            <option value="bbb" selected={event.type === "bbb"}>BBB-Raum</option>
                                        </select>
                                    </label>
                                </div>
                                <input name="id" class="hidden" type="number" value={event.id}/>
                                <button class="btn btn-primary" type="submit" formmethod="post">Aktualisieren</button>
                                <div class="modal-action">
                                    <label for="delete-modal" class="btn">Schließen</label>
                                </div>
                            </form>
                        </div>
                    </div>
                    <a class="btn btn-ghost">
                        <svg style="width:24px;height:24px" viewBox="0 0 24 24">
                            <title>Löschen</title>
                            <path fill="currentColor"
                                  d="M14.12,10.47L12,12.59L9.87,10.47L8.46,11.88L10.59,14L8.47,16.12L9.88,17.53L12,15.41L14.12,17.53L15.53,16.12L13.41,14L15.53,11.88L14.12,10.47M15.5,4L14.5,3H9.5L8.5,4H5V6H19V4H15.5M6,19A2,2 0 0,0 8,21H16A2,2 0 0,0 18,19V7H6V19M8,9H16V19H8V9Z"/>
                        </svg>
                    </a>
                </td>
            </tr>
        {/each}
        </tbody>
    </table>
</div>
